#!/usr/bin/perl

use strict;
use warnings;
use Gtk2;
Gtk2->init;

my $window = new Gtk2::Window('toplevel');

my $box = new Gtk2::VBox(0,0);

# Scroll window
my $scroll = new Gtk2::ScrolledWindow;
$scroll->add_with_viewport($box);

# Add a lot of pictures vertically
foreach (1..200)
{
    my $image = Gtk2::Image->new_from_file('bg.png');
    $box->pack_start($image, 0, 0, 0);
}

# Apply style
my $rc_style = Gtk2::RcStyle->new;
$rc_style->bg_pixmap_name('normal', 'bg.png');
$box->parent->modify_style($rc_style);

$window->add($scroll);
$window->signal_connect(destroy => sub { Gtk2->main_quit; });
$window->set_size_request(300,400);
$window->show_all;
Gtk2->main;
